TICKIT_WINDOW_SET_FOCUS_CHILD_NOTIFY(3)

NAME
tickit_window_set_focus_child_notify - control whether windows are informed of child focus changes

SYNOPSIS
    #include <tickit.h>

    void tickit_window_set_focus_child_notify(TickitWindow *win, bool notify);

Link with -ltickit.

DESCRIPTION
tickit_window_set_focus_child_notify() sets the value of a setting on the given window which controls whether the window will receive TICKIT_EV_FOCUS events when its child windows change focus state (when true), or whether the only focus events it receives are ones relating to itself directly (when false).

This function is discouraged in favour of using the TICKIT_WINCTL_FOCUS_CHILD_NOTIFY window control with tickit_window_setctl_int(3).

RETURN VALUE
tickit_window_set_focus_child_notify() returns no value.

SEE ALSO
tickit_window_new(3), tickit_window_take_focus(3), tickit_window_set_cursor_position(3), tickit_window_bind_event(3), tickit_window(7), tickit(7)